<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$barcode = $_REQUEST['barcode'];
browse($barcode);
$cond = "";
if (!empty($barcode)) {
    $cond = " AND `prodcode` LIKE '%$barcode%'";
}

$query = "SELECT pkg FROM `product` WHERE prodcode != '' $cond ORDER BY `name`";

$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
                'ctr' => $ctr,
                'pkg' => $r['pkg']
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);

